classification
Title: Create DAG for PEP 101
Type: Stage: needs patch
Components: Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, eric.araujo, ezio.melotti, georg.brandl, larry
Priority: low Keywords:

Created on 2008-10-01 21:31 by brett.cannon, last changed 2013-02-03 09:01 by georg.brandl. This issue is now closed.

Messages (7)
msg74147 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-10-01 21:31
PEP 101 says it would be nice to have a dependency graph that showed
what could and could not be done in parallel when cutting a release.
Should throw one together using OmniGraffle or Graphviz.
msg112547 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-02 20:56
I'll probably get around to do this during the 3.2 period.
msg164531 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-07-02 19:25
Is this still worth doing, Georg? Or should we make Larry do it? =)
msg164577 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2012-07-03 05:39
Note: I don't have Macs, so I can't run OmniGiraffe.  And a quick gander at the Graphviz website suggests its output lacks the sublime elegance Python documentation has become known for.
msg164758 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-07-06 22:27
I think you can make nice graphs with graphviz if you put effort into it :)
msg181127 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-02-01 22:34
Would this still be useful to do? Thanks to my latest import talk I have experience with graphviz but I don't want to waste my time if people don't need it.
msg181250 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-02-03 09:01
While it's nice to look at a graphical representation, clearly there is no deep interest (and PEP 101 has so many little steps that you couldn't possibly fit them all into a graph, so you have to consult the text anyway).  I see no reason to keep this open.
History
Date User Action Args
2013-02-03 09:01:06georg.brandlsetstatus: open -> closed
resolution: wont fix
messages: + msg181250
2013-02-03 04:39:52ezio.melottisetnosy: + ezio.melotti
2013-02-01 22:34:43brett.cannonsetassignee: larry ->
messages: + msg181127
2012-07-06 22:27:52georg.brandlsetassignee: georg.brandl -> larry
messages: + msg164758
2012-07-03 05:39:00larrysetmessages: + msg164577
2012-07-03 04:18:55eric.araujosetnosy: + eric.araujo
2012-07-02 19:25:13brett.cannonsetnosy: + larry
messages: + msg164531
2010-08-02 20:56:47georg.brandlsetassignee: georg.brandl

messages: + msg112547
nosy: + georg.brandl
2009-03-28 20:05:37brett.cannonsetassignee: brett.cannon -> (no value)
2009-02-11 03:15:14brett.cannonsetstage: needs patch
2008-10-01 21:31:05brett.cannoncreate